CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-1567

Use-after-free vulnerability in DirectionalityUtils.cpp in Mozilla Firefox before 32.0, Firefox ESR 24.x before 24.8 and 31.x before 31.1, and Thunderbird 24.x before 24.8 and 31.x before 31.1 allows remote attackers to execute arbitrary code via text that is improperly handled during the interaction between directionality resolution and layout.
Publish Date : 2014-09-03 Last Update Date : 2017-01-06
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
9.3
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DSA-3018-1 iceweasel - security update oval:org.mitre.oval:def:26643 unix
DSA-3028-1 icedove - security update oval:org.mitre.oval:def:26637 unix
ELSA-2014-1144 -- firefox security update (Critical) oval:org.mitre.oval:def:27006 unix
ELSA-2014-1145 -- thunderbird security update (Important) oval:org.mitre.oval:def:26731 unix
RHSA-2014:1144: firefox security update (Critical) oval:com.redhat.rhsa:def:20141144 unix
RHSA-2014:1144: firefox security update (Critical) oval:org.mitre.oval:def:26573 unix
RHSA-2014:1145: thunderbird security update (Important) oval:org.mitre.oval:def:26526 unix
RHSA-2014:1145: thunderbird security update (Important) oval:com.redhat.rhsa:def:20141145 unix
SUSE-SU-2014:1120-2 -- Security update for MozillaFirefox oval:org.mitre.oval:def:26775 unix
SUSE-SU-2014:1107-1 -- Security update for MozillaFirefox oval:org.mitre.oval:def:26699 unix
SUSE-SU-2014:1112-1 -- Security update for MozillaFirefox oval:org.mitre.oval:def:26608 unix
SUSE-SU-2014:1112-2 -- Security update for MozillaFirefox oval:org.mitre.oval:def:26273 unix
SUSE-SU-2014:1120-1 -- Security update for MozillaFirefox oval:org.mitre.oval:def:26152 unix
USN-2329-1 -- firefox vulnerabilities oval:org.mitre.oval:def:26530 unix
USN-2330-1 -- thunderbird vulnerabilities oval:org.mitre.oval:def:26841 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-1567

# Product Type Vendor Product Version Update Edition Language
1 Application Mozilla Firefox 30.0 Version Details Vulnerabilities
2 Application Mozilla Firefox 31.0 Version Details Vulnerabilities
3 Application Mozilla Firefox 31.1.0 Version Details Vulnerabilities
4 Application Mozilla Firefox Esr 24.0 Version Details Vulnerabilities
5 Application Mozilla Firefox Esr 24.0.1 Version Details Vulnerabilities
6 Application Mozilla Firefox Esr 24.0.2 Version Details Vulnerabilities
7 Application Mozilla Firefox Esr 24.1.0 Version Details Vulnerabilities
8 Application Mozilla Firefox Esr 24.1.1 Version Details Vulnerabilities
9 Application Mozilla Firefox Esr 24.2 Version Details Vulnerabilities
10 Application Mozilla Firefox Esr 24.3 Version Details Vulnerabilities
11 Application Mozilla Firefox Esr 24.4 Version Details Vulnerabilities
12 Application Mozilla Firefox Esr 24.5 Version Details Vulnerabilities
13 Application Mozilla Firefox Esr 24.6 Version Details Vulnerabilities
14 Application Mozilla Firefox Esr 24.7 Version Details Vulnerabilities
15 Application Mozilla Firefox Esr 31.0 Version Details Vulnerabilities
16 Application Mozilla Thunderbird 24.0 Version Details Vulnerabilities
17 Application Mozilla Thunderbird 24.0.1 Version Details Vulnerabilities
18 Application Mozilla Thunderbird 24.1 Version Details Vulnerabilities
19 Application Mozilla Thunderbird 24.1.1 Version Details Vulnerabilities
20 Application Mozilla Thunderbird 24.2 Version Details Vulnerabilities
21 Application Mozilla Thunderbird 24.3 Version Details Vulnerabilities
22 Application Mozilla Thunderbird 24.4 Version Details Vulnerabilities
23 Application Mozilla Thunderbird 24.5 Version Details Vulnerabilities
24 Application Mozilla Thunderbird 24.6 Version Details Vulnerabilities
25 Application Mozilla Thunderbird 24.7 Version Details Vulnerabilities
26 Application Mozilla Thunderbird 31.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mozilla Firefox 3
Mozilla Firefox Esr 12
Mozilla Thunderbird 11

- References For CVE-2014-1567

http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00012.html
SUSE SUSE-SU-2014:1120
https://security.gentoo.org/glsa/201504-01
GENTOO GLSA-201504-01
http://secunia.com/advisories/61390
SECUNIA 61390
https://bugzilla.mozilla.org/show_bug.cgi?id=1037641 CONFIRM
http://www.securitytracker.com/id/1030793
SECTRACK 1030793
http://www.securitytracker.com/id/1030794
SECTRACK 1030794
http://www.mozilla.org/security/announce/2014/mfsa2014-72.html CONFIRM
http://www.securityfocus.com/bid/69520
BID 69520 Mozilla Firefox/Thunderbird CVE-2014-1567 Use After Free Memory Corruption Vulnerability Release Date:2015-07-22
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html CONFIRM
http://www.debian.org/security/2014/dsa-3018
DEBIAN DSA-3018
http://www.debian.org/security/2014/dsa-3028
DEBIAN DSA-3028
http://lists.opensuse.org/opensuse-security-announce/2015-07/msg00031.html
SUSE openSUSE-SU-2015:1266
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00003.html
SUSE openSUSE-SU-2014:1098
http://secunia.com/advisories/60148
SECUNIA 60148
http://secunia.com/advisories/60186
SECUNIA 60186
http://secunia.com/advisories/61114
SECUNIA 61114
http://lists.opensuse.org/opensuse-updates/2014-09/msg00011.html
SUSE openSUSE-SU-2014:1099
http://lists.opensuse.org/opensuse-security-announce/2015-01/msg00024.html
SUSE openSUSE-SU-2015:0138
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00005.html
SUSE SUSE-SU-2014:1107
http://lists.opensuse.org/opensuse-security-announce/2014-09/msg00007.html
SUSE SUSE-SU-2014:1112

- Metasploit Modules Related To CVE-2014-1567

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.